Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 413663 - media-libs/babl-0.1.(8|10) fails to compile with USE="introspection"
Summary: media-libs/babl-0.1.(8|10) fails to compile with USE="introspection"
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal with 8 votes (vote)
Assignee: Sebastian Pipping
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 416587
  Show dependency tree
 
Reported: 2012-04-26 18:57 UTC by Mike Auty
Modified: 2013-05-02 21:58 UTC (History)
20 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
babl-0.1.10 build.log (build.log,14.57 KB, text/plain)
2012-04-26 18:57 UTC, Mike Auty
Details
patch to fix gir generation from OpenSuse package[1] (babl-0.1.10-fix-gir-build.patch,581 bytes, patch)
2012-05-18 15:20 UTC, Guillaume ZITTA
Details | Diff
babl-0.1.10 build log after applying upstream patch from comment #3 (babl-0.1.10-patch-3.log,13.72 KB, text/plain)
2012-05-27 14:28 UTC, Jason Lamb
Details
ebuild with opensuse patch (babl-0.1.10-r1.ebuild,1.74 KB, text/plain)
2012-05-30 06:01 UTC, Guillaume ZITTA
Details
failed patch log using new ebuild and patch (babl-0.1.10-patch.fail.log,2.68 KB, text/plain)
2012-05-30 11:16 UTC, Jason Lamb
Details
babl-0.1.10-gir-build-fix.patch (babl-0.1.10-gir-build-fix.patch,710 bytes, patch)
2012-06-04 14:56 UTC, Mike Auty
Details | Diff
babl-0.1.10-r1.ebuild (babl-0.1.10-r1.ebuild,1.75 KB, text/plain)
2012-06-10 20:52 UTC, Zsolti
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Auty gentoo-dev 2012-04-26 18:57:04 UTC
Created attachment 310213 [details]
babl-0.1.10 build.log

Hiya,

media-libs/babl-0.1.10 fails with the following error when built with USE="introspection" with gobject-introspection-1.32.1.  If there's any additional information required, please just let me know and I'll provide it...

/usr/bin/g-ir-scanner -v --namespace Babl --nsversion=0.1 \
            --add-include-path=. --add-include-path=. \
            --library=libbabl-0.1.la \
            --libtool="/bin/sh ../libtool" \
            --output Babl-0.1.gir \
            -DBABL_IS_BEING_COMPILED \
    -I.. \
    -I.. \
    ./babl-macros.h ./babl-types.h ./babl.h \
    ./babl-version.h \
    ./babl.c ./babl-component.c ./babl-conversion.c ./babl-core.c ./babl-db.c ./babl-extension.c ./babl-fish-path.c ./babl-fish-reference.c ./babl-fish-simple.c ./babl-fish-stats.c ./babl-fish.c ./babl-format.c ./babl-hash-table.c ./babl-image.c ./babl-internal.c ./babl-introspect.c ./babl-list.c ./babl-memory.c ./babl-model.c ./babl-mutex.c ./babl-palette.c ./babl-sampling.c ./babl-sanity.c ./babl-type.c ./babl-util.c ./babl-cpuaccel.c ./babl-version.c
Must specify package names on the command line
g-ir-scanner: compile: gcc -Wall -pthread -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -O2 -march=native -ggdb -pipe -Wall -Wdeclaration-after-statement -Wmissing-prototypes -Wmissing-declarations -Winit-self -Wpointer-arith -Wold-style-definition -I.. -I.. -c -o /var/tmp/portage/media-libs/babl-0.1.10/work/babl-0.1.10/babl/tmp-introspectbHWHSb/Babl-0.1.o /var/tmp/portage/media-libs/babl-0.1.10/work/babl-0.1.10/babl/tmp-introspectbHWHSb/Babl-0.1.c
g-ir-scanner: link: /bin/sh ../libtool --mode=link --tag=CC gcc -o /var/tmp/portage/media-libs/babl-0.1.10/work/babl-0.1.10/babl/tmp-introspectbHWHSb/Babl-0.1 -export-dynamic -O2 -march=native -ggdb -pipe -Wall -Wdeclaration-after-statement -Wmissing-prototypes -Wmissing-declarations -Winit-self -Wpointer-arith -Wold-style-definition /var/tmp/portage/media-libs/babl-0.1.10/work/babl-0.1.10/babl/tmp-introspectbHWHSb/Babl-0.1.o -L. libbabl-0.1.la -pthread -Wl,--export-dynamic -lgio-2.0 -lgobject-2.0 -lgthread-2.0 -lgmodule-2.0 -lrt -lglib-2.0
libtool: link: gcc -o /var/tmp/portage/media-libs/babl-0.1.10/work/babl-0.1.10/babl/tmp-introspectbHWHSb/.libs/Babl-0.1 -O2 -march=native -ggdb -pipe -Wall -Wdeclaration-after-statement -Wmissing-prototypes -Wmissing-declarations -Winit-self -Wpointer-arith -Wold-style-definition /var/tmp/portage/media-libs/babl-0.1.10/work/babl-0.1.10/babl/tmp-introspectbHWHSb/Babl-0.1.o -pthread -Wl,--export-dynamic -Wl,--export-dynamic  -L. ./.libs/libbabl-0.1.so -lm -ldl -lgio-2.0 -lgobject-2.0 -lgthread-2.0 -lgmodule-2.0 -lrt -lglib-2.0 -pthread
g-ir-scanner: Babl: warning: 1 warnings suppressed (use --warn-all to see them)
LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}. /usr/bin/g-ir-compiler \
        --includedir=. \
        --includedir=../babl \
         \
        Babl-0.1.gir -o Babl-0.1.typelib
**
ERROR:girepository/girnode.c:1031:find_entry_node: assertion failed: (strlen (name) > 0)
make[3]: *** [Babl-0.1.typelib] Aborted

Here's the emerge --info output:

Portage 2.2.0_alpha101 (default/linux/amd64/10.0, gcc-4.5.3, glibc-2.15-r1, 3.3.3 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.3.3-x86_64-Intel-R-_Core-TM-_i5-2520M_CPU_@_2.50GHz-with-gentoo-2.1
Timestamp of tree: Thu, 26 Apr 2012 18:05:01 +0000
ccache version 3.1.7 [enabled]
app-shells/bash:          4.2_p24-r1
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.6.7-r2, 2.7.3, 3.2.2-r1
dev-util/ccache:          3.1.7
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.9.3::pentoo
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.4_p6-r1, 1.9.6-r3, 1.10.3, 1.11.5
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.7
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.3 (virtual/os-headers)
sys-libs/glibc:           2.15-r1
Repositories: gentoo ikelos pentoo uncon vmware autogenerated
Installed sets: @useful, @virtualization
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -ggdb -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -ggdb -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--quiet-build n"
FEATURES="assume-digests binpkg-logs ccache collision-protect distlocks ebuild-locks fixlafiles multilib-strict news parallel-fetch protect-owned sandbox sfperms sign splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_GB.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/ikelos /var/lib/layman/pentoo /var/lib/layman/vmware /var/lib/layman/autogenerated"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa amd64 amr apache2 apng archive bash-completion berkdb bluetooth bzip2 cairo cdda cli cpudetection cracklib crypt cups cxx dbus device-mapper divx djvu dri dvd exif extras fat ffmpeg fortran fts gcj gdbm gdu git gnome gnome-keyring gnome-online-accounts gpm graphviz gstreamer gtk gtk3 gudev hplip iconv introspection ipv6 irc jabber java jpeg lame libnotify mmx modemmanager modules mp3 mpeg mudflap multilib multitarget nautilus ncurses networkmanager nls nptl nptlonly nsplugin ogg openmp pam pcre pcsc-lite pdf perl png policykit pppd pulseaudio python qemu qt4 readline resolvconf rtmp samba session sip smp socialweb sqlite sse sse2 ssl ssse3 subversion svg sysfs systemtap tcpd threads tiff truetype udev udisks unicode v4l v4l2 vaapi vala vmware_guest_windows vnc vorbis vpx vte wavpack wifi x264 xattr xml xnest xorg xulrunner xv xvid zeitgeist zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, LINGUAS, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Mike Auty gentoo-dev 2012-04-26 18:57:56 UTC
Sorry, forgot to assign to the maintainer...
Comment 2 Alex Buell 2012-05-05 21:19:41 UTC
I'm hitting the exact same problem on ~x86 as well. Any solutions yet? It seems to be a problem with the g-i-r-scanner?
Comment 3 Priit Laes (IRC: plaes) 2012-05-07 04:54:51 UTC
Possible fix from upstream:
http://git.gnome.org/browse/babl/commit/?id=c024c89f95de4a8fa95ba96790dac61768d11a17
Comment 4 tman 2012-05-09 11:24:13 UTC
i have same problem on @amd64 

and it cause also block other package from install:
>>> Verifying ebuild manifests
>>> Running pre-merge checks for dev-libs/boost-1.49.0-r1
>>> Running pre-merge checks for www-plugins/adobe-flash-11.2.202.235
>>> Starting parallel fetch
>>> Emerging (1 of 24) media-libs/babl-0.1.10
>>> Failed to emerge media-libs/babl-0.1.10, Log file:
>>>  '/var/log/portage/media-libs:babl-0.1.10:20120509-131349.log'
*** Resuming merge...
 * emerge --keep-going: www-plugins/adobe-flash-11.2.202.235 dropped due to
 * unsatisfied dependency.
 * emerge --keep-going: gnome-extra/yelp-3.4.1 dropped due to unsatisfied
 * dependency.
 * emerge --keep-going: x11-wm/openbox-3.5.0_p20111019 dropped due to
 * unsatisfied dependency.
 * emerge --keep-going: dev-util/glade-3.12.1 dropped due to unsatisfied
 * dependency.
 * emerge --keep-going: media-sound/mpg123-1.14.1 dropped due to unsatisfied
 * dependency.
 * emerge --keep-going: gnome-base/libgnome-keyring-3.2.2 dropped due to
 * unsatisfied dependency.
 * emerge --keep-going: media-libs/taglib-1.7.2 dropped due to unsatisfied
 * dependency.
 * emerge --keep-going: dev-python/reportlab-2.5-r1 dropped due to unsatisfied
 * dependency.
 * emerge --keep-going: dev-libs/boost-1.49.0-r1 dropped due to unsatisfied
 * dependency.
 * emerge --keep-going: app-admin/conky-1.9.0 dropped due to unsatisfied
 * dependency.
 * emerge --keep-going: x11-misc/shutter-0.88.3 dropped due to unsatisfied
 * dependency.
 * emerge --keep-going: dev-lang/php-5.4.3 dropped due to unsatisfied
 * dependency.
 * emerge --keep-going: dev-java/jdbc-postgresql-9.1_p902 dropped due to
 * unsatisfied dependency.
 * emerge --keep-going: gnome-base/gnome-keyring-3.2.2 dropped due to
 * unsatisfied dependency.
 * emerge --keep-going: media-video/mplayer2-9999 dropped due to unsatisfied
 * dependency.
 * emerge --keep-going: dev-vcs/mercurial-2.2.1 dropped due to unsatisfied
 * dependency.
 * emerge --keep-going: app-portage/eix-0.25.4 dropped due to unsatisfied
 * dependency.
 * emerge --keep-going: dev-java/jruby-1.6.7.2 dropped due to unsatisfied
 * dependency.
 * emerge --keep-going: media-gfx/gimp-2.8.0 dropped due to unsatisfied
 * dependency.
 * emerge --keep-going: media-libs/gegl-0.2.0 dropped due to unsatisfied
 * dependency.
 * emerge --keep-going: dev-java/itext-2.1.5-r1 dropped due to unsatisfied
 * dependency.
 * emerge --keep-going: sci-geosciences/googleearth-6.2.2.6613 dropped due to
 * unsatisfied dependency.
 * emerge --keep-going: app-office/scribus-1.4.1 dropped due to unsatisfied
 * dependency.
Comment 5 Guillaume ZITTA 2012-05-14 06:34:31 UTC
Possible workaround (worked for me) :
merge once whithout introspection useflag and re-merge with introspection.
Comment 6 Guillaume ZITTA 2012-05-14 06:59:46 UTC
(In reply to comment #5)
> Possible workaround (worked for me) :
> merge once whithout introspection useflag and re-merge with introspection.

Sorry, I mistaken, don't work :(
Comment 7 Seong-ho Cho 2012-05-16 14:48:12 UTC
well ... I've met an another problem ...

Babl-0.1.gir:27.25-27.25: error: a symbol must be specified
            <type name="" c:type="Babl*"/>
                        ^

** (vapigen-0.14:28434): CRITICAL **: vala_unresolved_type_construct_from_symbol: assertion `symbol != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_gir_parser_element_get_type: assertion `orig_type != NULL' failed
Babl-0.1.gir:73.23-73.23: error: a symbol must be specified
          <type name="" c:type="Babl*"/>
                      ^

** (vapigen-0.14:28434): CRITICAL **: vala_unresolved_type_construct_from_symbol: assertion `symbol != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_gir_parser_element_get_type: assertion `orig_type != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_method_construct: assertion `return_type != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_symbol_set_access: assertion `self != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_symbol_set_external: assertion `self != NULL' failed
Babl-0.1.gir:98.23-98.23: error: a symbol must be specified
          <type name="" c:type="Babl*"/>
                      ^

** (vapigen-0.14:28434): CRITICAL **: vala_unresolved_type_construct_from_symbol: assertion `symbol != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_gir_parser_element_get_type: assertion `orig_type != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_method_construct: assertion `return_type != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_symbol_set_access: assertion `self != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_symbol_set_external: assertion `self != NULL' failed
Babl-0.1.gir:184.21-184.21: error: a symbol must be specified
        <type name="" c:type="Babl*"/>
                    ^

** (vapigen-0.14:28434): CRITICAL **: vala_unresolved_type_construct_from_symbol: assertion `symbol != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_gir_parser_element_get_type: assertion `orig_type != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_method_construct: assertion `return_type != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_symbol_set_access: assertion `self != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_symbol_set_external: assertion `self != NULL' failed
Babl-0.1.gir:231.21-231.21: error: a symbol must be specified
        <type name="" c:type="Babl*"/>
                    ^

** (vapigen-0.14:28434): CRITICAL **: vala_unresolved_type_construct_from_symbol: assertion `symbol != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_gir_parser_element_get_type: assertion `orig_type != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_method_construct: assertion `return_type != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_symbol_set_access: assertion `self != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_symbol_set_external: assertion `self != NULL' failed
Babl-0.1.gir:244.21-244.21: error: a symbol must be specified
        <type name="" c:type="Babl*"/>
                    ^

** (vapigen-0.14:28434): CRITICAL **: vala_unresolved_type_construct_from_symbol: assertion `symbol != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_gir_parser_element_get_type: assertion `orig_type != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_method_construct: assertion `return_type != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_symbol_set_access: assertion `self != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_symbol_set_external: assertion `self != NULL' failed
Babl-0.1.gir:291.21-291.21: error: a symbol must be specified
        <type name="" c:type="Babl*"/>
                    ^

** (vapigen-0.14:28434): CRITICAL **: vala_unresolved_type_construct_from_symbol: assertion `symbol != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_gir_parser_element_get_type: assertion `orig_type != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_method_construct: assertion `return_type != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_symbol_set_access: assertion `self != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_symbol_set_external: assertion `self != NULL' failed
Babl-0.1.gir:317.21-317.21: error: a symbol must be specified
        <type name="" c:type="Babl*"/>
                    ^

** (vapigen-0.14:28434): CRITICAL **: vala_unresolved_type_construct_from_symbol: assertion `symbol != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_gir_parser_element_get_type: assertion `orig_type != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_method_construct: assertion `return_type != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_symbol_set_access: assertion `self != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_symbol_set_external: assertion `self != NULL' failed
Babl-0.1.gir:324.25-324.25: error: a symbol must be specified
          <type name="" c:type="Babl**"/>
                        ^

** (vapigen-0.14:28434): CRITICAL **: vala_unresolved_type_construct_from_symbol: assertion `symbol != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_gir_parser_element_get_type: assertion `orig_type != NULL' failed
Babl-0.1.gir:327.25-327.25: error: a symbol must be specified
          <type name="" c:type="Babl**"/>
                        ^

** (vapigen-0.14:28434): CRITICAL **: vala_unresolved_type_construct_from_symbol: assertion `symbol != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_gir_parser_element_get_type: assertion `orig_type != NULL' failed
Babl-0.1.gir:333.21-333.21: error: a symbol must be specified
        <type name="" c:type="Babl*"/>
                    ^

** (vapigen-0.14:28434): CRITICAL **: vala_unresolved_type_construct_from_symbol: assertion `symbol != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_gir_parser_element_get_type: assertion `orig_type != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_method_construct: assertion `return_type != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_symbol_set_access: assertion `self != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_symbol_set_external: assertion `self != NULL' failed
Babl-0.1.gir:346.21-346.21: error: a symbol must be specified
        <type name="" c:type="Babl*"/>
                    ^

** (vapigen-0.14:28434): CRITICAL **: vala_unresolved_type_construct_from_symbol: assertion `symbol != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_gir_parser_element_get_type: assertion `orig_type != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_method_construct: assertion `return_type != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_symbol_set_access: assertion `self != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_symbol_set_external: assertion `self != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_code_node_get_attribute_string: assertion `self != NULL' failed

** (vapigen-0.14:28434): CRITICAL **: vala_code_node_get_attribute_string: assertion `self != NULL' failed

.... (and any lines more.)

Generation failed: 12 error(s), 0 warning(s)

How to fix it?
Comment 8 Guillaume ZITTA 2012-05-18 14:24:59 UTC
(In reply to comment #7)
> well ... I've met an another problem ...
> 
> Babl-0.1.gir:27.25-27.25: error: a symbol must be specified
>             <type name="" c:type="Babl*"/>
>                         ^
[...]
> 
> ** (vapigen-0.14:28434): CRITICAL **:
> vala_unresolved_type_construct_from_symbol: assertion `symbol != NULL' failed
> 
> 
> How to fix it?

Your problem apears 1 step after ours :-/
But some kind related (it's about an empty "name" in the file)

What is your version of dev-libs/gobject-introspection ?
Can you attach full build.log, and Babl-0.1.gir?
Perhaps we could figure out why you can go 1 step further...

For your problem, try to launch this command in the workdir :
/usr/bin/vapigen --library=libbabl-0.1 Babl-0.1.gir
and see if it's better than :
/usr/bin/vapigen --library=babl-0.1 Babl-0.1.gir
Comment 9 Guillaume ZITTA 2012-05-18 15:20:41 UTC
Created attachment 312195 [details, diff]
patch to fix gir generation from OpenSuse package[1]

Seong-ho, Cho : according to OpenSuse changelog, your problem seem to be the vala useflag
[1] http://rpmfind.net/linux/RPM/opensuse/factory/x86_64/babl-devel-0.1.10-1.2.x86_64.html
Comment 10 Edward Hervey 2012-05-22 09:35:46 UTC
(In reply to comment #9)
> Created attachment 312195 [details, diff] [details, diff]
> patch to fix gir generation from OpenSuse package[1]

  This patch does fix the issue for me
Comment 11 Guillaume ZITTA 2012-05-22 14:55:38 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > Created attachment 312195 [details, diff] [details, diff] [details, diff]
> > patch to fix gir generation from OpenSuse package[1]
> 
>   This patch does fix the issue for me

Can you post your build.log after patch applyed ?
Comment 12 tman 2012-05-23 10:01:11 UTC
it would be really nice if this will be fix soon. this package blocks so lot of other pakages.

thanks
Comment 13 Jason Lamb 2012-05-27 14:28:07 UTC
Created attachment 313273 [details]
babl-0.1.10 build log after applying upstream patch from comment #3

I was able to emerge babl-0.1.10 without the introspection USE flag, but I am not able to now re-emerge it with the introspection USE flag. So I attempted the patch(es) here.

I first tried to apply the patch submitted with comment #9, and it fails with, "Local patch babl-0.1.10-fix-gir-build.patch does not fit". I then tried to apply the upstream patch referenced in comment #3, but the emerge fails when attempting to apply the babl-0.1.6-introspection.patch.

I then commented out the babl-0.1.6-introspection.patch, so that the upstream patch from comment #3 applies, and the emerge gets past the patch phase, only to die later with the same message posted originally here, "ERROR:girepository/girnode.c:1031:find_entry_node: assertion failed: (strlen (name) > 0)".

This is the complete babl-0.1.10 build log, applying the upstream patch from comment #3, and commenting out the babl-0.1.6-introspection.patch, from my system, FWIW.
Comment 14 Tassilo Horn 2012-05-28 15:49:24 UTC
The OpenSuse patch attached works for me.
Comment 15 Brad Laue 2012-05-28 16:32:27 UTC
Some info on how to apply the attached OpenSUSE patch would be handy. I've tried a number of variations including removing the existing introspection patch and it doesn't apply for me. 

Successful patchers - care to share?
Comment 16 Guillaume ZITTA 2012-05-30 06:01:19 UTC
Created attachment 313583 [details]
ebuild with opensuse patch

To people that don't know how to use the patch, here is the ebuild that use it.
name the patch to files/babl-0.1.10-fix-gir-build.patch
Comment 17 Jason Lamb 2012-05-30 11:16:42 UTC
Created attachment 313597 [details]
failed patch log using new ebuild and patch

Using the submitted ebuild from comment #16 and the patch from comment #3 on my system, the emerge fails applying the babl-0.1.10-fix-gir-build.patch.

What's odd is that if I do a manual ebuild /usr/portage/media-libs/babl/babl-0.1.10.ebuild unpack, then prepare, and then edit the corresponding babl/Makefile.am file and insert at line 98;

            --identifier-prefix= --symbol-prefix=babl \

and then do an ebuild /usr/portage/media-libs/babl/babl-0.1.10.ebuild compile, I still get a failure with;

ERROR:girepository/girnode.c:1031:find_entry_node: assertion failed: (strlen (name) > 0)
Comment 18 Brad Laue 2012-05-30 13:40:09 UTC
(In reply to comment #16)
> Created attachment 313583 [details]
> ebuild with opensuse patch
> 
> To people that don't know how to use the patch, here is the ebuild that use
> it.
> name the patch to files/babl-0.1.10-fix-gir-build.patch

The patch doesn't directly line up with the sources - manually patching it into an untarred source fails completely. 

This means that people who claim success are performing additional steps they're not expressing here, and which would be helpful.
Comment 19 Mike Auty gentoo-dev 2012-06-04 14:56:06 UTC
Created attachment 314203 [details, diff]
babl-0.1.10-gir-build-fix.patch

Ok, here's a patch that applies after babl-0.1.6-introspection.patch.  This now moves the failure from USE="introspection" to USE="introspection vala".

As pointed out, after this patch is applied, valagen complains about all uses of Babl* (a pointer to a Babl object).  It's not clear how to deal with this, but at least it provides a little progress (and allows people to build with introspection but not with introspection AND vala).

Please note, even with the appropriate introspection files built, it reveals a separate bug in gegl with USE="introspection", so will not help with building gegl.
Comment 20 Jason Lamb 2012-06-04 19:50:16 UTC
I can confirm that I was able to emerge media-libs/babl-0.1.10 with the introspection USE flag, using the patch from comment #19. However, I could not use it with portage's localpatch facility because it applies the babl-0.1.10-gir-build-fix.patch before the babl-0.1.6-introspection.patch. Adding it to my local portage overlay and editing the ebuild so that the babl-0.1.10-gir-build-fix.patch, applies after the babl-0.1.6-introspection.patch, did work.

Additionally bug 416587 has a patch that, when combined with a manual make, ebuild compile and merge process, worked for emerging media-libs/gegl-0.2.0 with the introspection USE flag, on my system.
Comment 21 Zsolti 2012-06-10 20:52:05 UTC
Created attachment 314897 [details]
babl-0.1.10-r1.ebuild
Comment 22 Zsolti 2012-06-10 20:53:56 UTC
Comment on attachment 314897 [details]
babl-0.1.10-r1.ebuild

Fixed ebuild with introspection patch in the right order
Comment 23 Zsolti 2012-06-10 20:57:07 UTC
(In reply to comment #20)
Applying the patch in the right order works for me too. I added a patch reflecting this. Also building gegl with introspection and the proposed patch and manually restarting the make process worked for me.
Comment 24 Alex Buell 2012-07-26 17:41:28 UTC
Yes, the patch fixed the babl build for me. Thanks :-)
Comment 25 Philipp 2013-04-12 18:20:59 UTC
Works like a charm, thanks :)
Comment 26 Sebastian Pipping gentoo-dev 2013-04-29 21:46:27 UTC
+  29 Apr 2013; Sebastian Pipping <sping@gentoo.org> babl-0.1.10.ebuild,
+  +files/babl-0.1.10-g-ir-compiler-crash.patch,
+  +files/babl-0.1.10-introspection.patch:
+  Fix build with USE=introspection (bug #413663), patches by upstream and
+  openSUSE
+
Comment 27 Sebastian Pipping gentoo-dev 2013-04-29 22:00:09 UTC
+  29 Apr 2013; Sebastian Pipping <sping@gentoo.org> base/package.use.mask:
+  Unmask ~media-libs/babl-0.1.10[introspection] (bug #413663)
+
Comment 28 Sebastian Pipping gentoo-dev 2013-04-30 20:13:09 UTC
+  30 Apr 2013; Sebastian Pipping <sping@gentoo.org> babl-0.1.8.ebuild:
+  Apply g-ir crash patch to 0.1.8, too (bug #413663)
+
Comment 29 Sebastian Pipping gentoo-dev 2013-04-30 20:19:15 UTC
+  30 Apr 2013; Sebastian Pipping <sping@gentoo.org> base/package.use.mask:
+  Unmask ~media-libs/babl-0.1.8[introspection] (bug #413663)
+
Comment 30 Gerard van Vuuren 2013-05-02 19:10:31 UTC
Emerging babl-0.1.10 w/o vala support goes ok.
As soon as the vala use flag is set and vala is installed babl compile borks.
I tried several versions of vala,same result.
In the /var/log/portage/media-libs/babl logs I see the gir errors.
As far as I'm concerned this is not quite solved yet.
Gerard.
Comment 31 Sebastian Pipping gentoo-dev 2013-05-02 21:57:56 UTC
(In reply to comment #30)
> Emerging babl-0.1.10 w/o vala support goes ok.
> As soon as the vala use flag is set and vala is installed babl compile borks.
> I tried several versions of vala,same result.
> In the /var/log/portage/media-libs/babl logs I see the gir errors.
> As far as I'm concerned this is not quite solved yet.
> Gerard.

Agreed, but there is bug #413663 for that now.
Comment 32 Sebastian Pipping gentoo-dev 2013-05-02 21:58:26 UTC
(In reply to comment #31)
> Agreed, but there is bug #413663 for that now.

Bug #468208 I mean, sorry.